package com.magistr.app.repository;

import com.magistr.app.model.StudentGroup;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface GroupRepository extends JpaRepository<StudentGroup, Long> {

    List<StudentGroup> findByEducationFormId(Long educationFormId);

    List<StudentGroup> findByDepartmentId(Long departmentId);

    List<StudentGroup> findByStatusNot(String status);

    List<StudentGroup> findByDepartmentIdAndStatusNot(Long departmentId, String status);
}
